# Formaty
A simple configurable binary data parser. Data structures are described using TOML files. 

## Example
Checkout the formats described in [formats](./formats)

```bash
./formaty formats/ccsds.toml ccsds "[0xe0, 0xa1, 0xc0, 0x00, 0x05, 0x00, 0x01, 0x02, 0x03, 0x04, 0x05]"
````

Output:
```
Version Number: 0
Packet Type: 0
Secondary Header Flag: 0
APID: 1295
Sequency Flags: 0
Packet Sequence Count: 48
Data Length: 5
Data: [1, 2, 3, 4, 5]
```

## Help
```
Formaty 0.1.0
Arbitrary Binary Data Formatting

USAGE:
    formaty <config> <format> [data]...

FLAGS:
    -h, --help       Prints help information
    -V, --version    Prints version information

ARGS:
    <config>     Path to the format config
    <format>     Format to parse data as
    <data>...    Raw data

```

## License
[License](./LICENSE)